@import "libs/shared/assets/src/global-style/variable";

.search {
  background: $bg-form-default;
  padding: 16px 24px;
  border-radius: 8px;
  &__button {
    display: flex;
    align-items: flex-end;
    padding-left: 20px;
  }
}

.action {
  display: flex;
  justify-content: center;
}
.margin-left {
  margin-left: 20px;
}
.style-status {
  min-height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  line-height: 20px;
  border-radius: 6px;
  letter-spacing: 0.25px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}
.rejected {
  background: $active-status-red-global;
  color: $bg-alert-dark;
}
.approved {
  background: $bg-success-active;
  color: $bg-success-label;
}
.text-center {
  text-align: center;
}
.table-container {
  margin-top: 24px;
  .ant-table-tbody > tr > td {
    padding: 8px;
  }
}
.center-status {
  display: flex;
  justify-content: center;
  text-align: center;
}
.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 415px;
}
.main-job-card {
  margin: 12px 0px;
  border-radius: 16px;

  &__row {
    margin-top: 16px;
  }

  &__table {
    margin-top: 30px;
    &--action {
      display: flex;
      justify-content: flex-end;
    }

    &--title-stt {
      width: 5%;
    }

    &--title-unit-management {
      width: 15%;
    }

    &--title-unit-one {
      width: 10%;
    }

    &--title-unit-two {
      width: 10%;
    }

    &--title-unit-three {
      width: 10%;
    }

    &--title-position {
      width: 15%;
    }

    &--title-name {
      width: 15%;
    }

    &--title-status {
      width: 8%;
    }

    &--title-unit-action {
      width: 7%;
    }
  }

  &__button-search {
    display: flex;
    justify-content: center;
    margin-top: 16px;
    margin-bottom: 1rem;
  }

  &__left {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__center {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__right {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }

  ::ng-deep {
    .mat-chip-list-wrapper input.mat-input-element,
    .mat-chip-list-wrapper .mat-standard-chip {
      margin-left: 12px !important;
      margin-top: -2px !important;
    }
    .mat-form-field-flex {
      border: 1px solid rgb(217, 217, 217);
      min-height: 44px;
      // border: 1px solid #F5F5F5;
      border-radius: 8px;
      align-items: center !important;
      color: #d9d9d9;
    }
    .ant-pagination-item-link {
      border-radius: 8px;
      display: flex !important;
      align-items: center;
      justify-content: center;
    }
    .ant-pagination-item-link-icon {
      margin-right: 14px;
    }

    .ant-pagination-item {
      border-radius: 8px;
    }
    .ant-pagination-item-active {
      border-color: $primary-button-color;
      border-radius: 8px;
      a {
        color: $primary-button-color;
      }
    }
  }
}
.mt-20 {
  margin-top: 20px;
}
